//-----------------------------------------------------------------------------
// Other examples
// by Yaki
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//	All-class shotguns
//	Shotguns are unique in that WeaponFixes.nut changes them on per-tfclass basis
//-----------------------------------------------------------------------------

	RegisterCustomWeapon("Custom Reserve Shooter", "Shotgun", "Reserve Shooter",
		Defaults,
		function (table,player) {
			table.clipSize	= 4;
		})
	RegisterCustomWeapon("Custom Family Business", "Shotgun", "Family Business",
		Defaults,
		function (table,player) {
			table.clipSize	= 8;
		})
	RegisterCustomWeapon("Custom Frontier Justice", "Shotgun", "Frontier Justice",
		Defaults,
		function (table,player) {
			table.clipSize	= 3;
		})
	RegisterCustomWeapon("Custom Widowmaker", "Shotgun", "Widowmaker",
		Defaults,
		function (table,player) {
			table.reserve		= 200;
			table.reserveMax	= 200;
			table.ammoType	= TF_AMMO.METAL;
		})


//-----------------------------------------------------------------------------
//	All-class Pistols
//	Pretty Boy's Pocket Pistol is setup to work in MvM on Engineer, due to having the same classname
//-----------------------------------------------------------------------------
//"Pretty Boy's Pocket Pistol"
//We set it up like this because the animations break on anything but scout
	RegisterCustomWeapon("Custom PBPP", "pbpp", "pistol",
		Defaults|WipeAttributes,
		function (table,player) {
			table.clipSize	= 9;
			table.viewModel	= "models/workshop/weapons/c_models/c_pep_pistol/c_pep_pistol.mdl";
		//	table.worldModel = "models/workshop/weapons/c_models/c_pep_pistol/c_pep_pistol.mdl";
		//	table.classArms = GTFW_ARMS.SCOUT;
		//	table.tf_class	= 0;
		},
		function (weapon,player) {
			weapon.AddAttribute("provide on active", 1, -1)
			weapon.AddAttribute("heal on hit for rapidfire", 3, -1)
			weapon.AddAttribute("fire rate bonus", 0.85, -1)
			weapon.AddAttribute("clip size penalty", 0.75, -1)
		})
		
//"Winger"
	RegisterCustomWeapon("Custom Winger", "Winger", "pistol",
		Defaults|WipeAttributes,
		function (table,player) {
			table.clipSize	= 5;
			table.viewModel	= "models/workshop/weapons/c_models/c_winger_pistol/c_winger_pistol.mdl";
		//	table.worldModel	= "models/workshop/weapons/c_models/c_winger_pistol/c_winger_pistol.mdl";
		//	table.classArms = GTFW_ARMS.SCOUT;
		//	table.tf_class	= 0;
		},
		function (weapon,player) {
			weapon.AddAttribute("damage bonus", 1.15, -1)
			weapon.AddAttribute("clip size penalty", 0.4, -1)
			weapon.AddAttribute("increased jump height from weapon", 1.25, -1)
		})
		
//-----------------------------------------------------------------------------
//	"tf_wearable" item
//	Uses blank item (IDX=65535) as base
//-----------------------------------------------------------------------------

	RegisterCustomWeapon("Sole Saviors", "tf_wearable", null, Defaults,
		function (table,player) {
			table.slot		 = 7; //Setting slot allows saving. Slots >7 are considered body/passive. Make sure to update "Loadouts.nut" if you intend to use slots higher than this.
			table.worldModel = "models/workshop/player/items/all_class/sbox2014_armor_shoes/sbox2014_armor_shoes_demo.mdl";
		})
		
	
//-----------------------------------------------------------------------------
//	Allows for building pretty darn quick.
//-----------------------------------------------------------------------------

	RegisterCustomWeapon("Engy Toolbox", "Toolbox",
		null,
		0,
		null,
		function (weapon, player){
			player.GiveWeapon("Build PDA");
			player.GiveWeapon("Destroy PDA");
		})
	
//-----------------------------------------------------------------------------
//	Update model to fish without changing stats. For MvM.
//-----------------------------------------------------------------------------

	RegisterCustomWeapon("Holy Fish", "Holy Mackerel",
		1123,
		KeepIDX|AutoSwitch|Save|WipeAttributes,
		function (table,player) {
			table.classArms		= GTFW_ARMS.SCOUT;
			table.worldModel	= "models/workshop/weapons/c_models/c_holymackerel/c_holymackerel.mdl"
		})
		
//-----------------------------------------------------------------------------
//	Override the backpack of Buff Banner with the Cold Case, an Engineer backpack.
//-----------------------------------------------------------------------------

	RegisterCustomWeapon("Booze Banner", "Buff",
		null,
		Defaults,
		function (table,player) {
			table.wearable	= "models/workshop/player/items/engineer/spr18_cold_case/spr18_cold_case.mdl";
		})

//-----------------------------------------------------------------------------
//	Testing Festive/Australium items
//	Only festive and the name "Australium" work here.
//-----------------------------------------------------------------------------

	RegisterCustomWeapon("australium", 14,
		null,
		Defaults,
		null,
		function (weapon,player) {
			weapon.AddAttribute("is australium item", 1, -1)	//gives australium name
			weapon.AddAttribute("item style override", 1, -1)
			weapon.AddAttribute("loot rarity", 1, -1)
			weapon.AddAttribute("is_festivized", 1, -1)			//adds festive lights to the weapon
		})
		
//-----------------------------------------------------------------------------
//	Making a primary weapon using secondary animations
//-----------------------------------------------------------------------------

	RegisterCustomWeapon("Secondary Anims in Primary Slot", "Revolver", "RL")


//-----------------------------------------------------------------------------
//	Sandvich in Heavy's fourth slot
//	"AutoRegister" parameter used here for whenever Heavy respawns/touches resupply, he'll always get the item back
//-----------------------------------------------------------------------------

	//player.GiveWeapon("Sandvich", null, Defaults|AutoRegister, function (table, player) {table.slot=3})
	
//-----------------------------------------------------------------------------
//	Shotgun in Heavy's fourth slot
//	AutoRegister used here for whenever Heavy respawns/touches resupply, he'll always get the item back
//-----------------------------------------------------------------------------

	//player.GiveWeapon("Heavy Shotgun", null, Defaults|AutoRegister, function (table, player) {table.slot=3})


//-----------------------------------------------------------------------------
// End file. GTFW v5.4.3.
// Signed `Yaki`, August 2024
//-----------------------------------------------------------------------------